import request from '/@/utils/request';

/**
 * @description 获取地图图层列表
 **/
export const getMapLayersByPost = (extraData: any = {}) =>
	request({
		url: `/map/get_map_layers`,
		method: 'post',
		params: {},
		data: {},

		...extraData,
	});

/**
 * @description 获取地图属性列表
 **/
export const getMapVpropsByPost = () =>
	request({
		url: `/map/get_map_vprops`,
		method: 'post',
		params: {},
		data: {},
	});
/**
 * @description 获取地图属性列表
 **/
export const getMapVpropsConfigByPost = () =>
	request({
		url: `/map/get_map_vprop_view_config`,
		method: 'post',
		params: {},
		data: {},
	});

/**
 * @description 获取地图属性列表
 **/
export const getMapValuesByPost = (params) =>
	request({
		url: `/map/get_map_vprop_values`,
		method: 'post',
		params: {},
		data: params,
	});
/**
 * @description 获取地图属性列表
 **/
export const switchMapTheme = () =>
	request({
		url: `/map/switch_map_theme`,
		method: 'post',
		params: {},
	});
